Subject: Re: cygrunsrv automatic startup fails with rinetd
From: "Karl M" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 03 Aug 2001 06:39:47 -0700

Hi All...

This sounds like a variation on the problem I have with cygrunsrv.

I am using cygrunsrv to start sshd. My problem is that on one win2k box (not 
all of them) cygrunsrv starts all the time at work, but at home (it is my 
laptop) it is a 50% chance of starting or timing out.

The timeout is 30 seconds. This is much longer than it should ever take. So 
I believe a longer timeout will not help.

I tracked it down to the very first call to cygrunsrv not happening when the 
problem occurs. I didn't go past that. I added file writes (and flushes) at 
various places in cygrunsrv to see where it got. I avoided the system log so 
I didn't alter its behavior.

If your system is doing it all the time, it should be easier to find.

Thanks,

...Karl

>From: "Gerrit P. Haase" <[email-masked]>
>To: "Miles Sabin" <[email-masked]>
>CC: [email-masked]
>Subject: Re: cygrunsrv automatic startup fails with rinetd
>Date: Fri, 3 Aug 2001 12:45:14 +0200
>
> > Miles Sabin schrieb am 2001-08-03 11:41:
>
> > Hi folks,
> >
> > I think this is the same problem that other people have reported
> > recently. I have rinetd (http://www.boutell.com/rinetd/) cygwin
> > compiled, with a minor tweak to supress the double fork on startup,
> > and installed with cygrunsrv. This is on Win2K Pro SP2, cygwin updated
> > to current via setup, and with cygrunsrv --version reporting,
> >
> >   cygrunsrv V0.94, Jul 11 2001
> >
> > Manual service start and stop seem to work fine, but leaves the
> > following entries in the Win2K Application log,
>
>That are no error messages.
>
> >   Event Type:	Information
> >   Event Source:	rinetd
> >   Event Category:	None
> >   Event ID:	0
> >   Date:		03/08/2001
> >   Time:		10:59:45 am
> >   User:		N/A
> >   Computer:	FREGE
> >   Description:
> >   The description for Event ID ( 0 ) in Source ( rinetd ) cannot be
> >   found. The local computer may not have the necessary registry
> >   information or message DLL files to display messages from a remote
> >   computer. The following information is part of the event: rinetd :
> >   Win32 Process Id = 0x43C : Cygwin Process Id = 0x43C : `rinetd'
> >   service started.
> >
> >   Event Type:	Information
> >   Event Source:	rinetd
> >   Event Category:	None
> >   Event ID:	0
> >   Date:		03/08/2001
> >   Time:		11:23:09 am
> >   User:		N/A
> >   Computer:	FREGE
> >   Description:
> >   The description for Event ID ( 0 ) in Source ( rinetd ) cannot be
> >   found. The local computer may not have the necessary registry
> >   information or message DLL files to display messages from a remote
> >   computer. The following information is part of the event: rinetd :
> >   Win32 Process Id = 0x43C : Cygwin Process Id = 0x43C : `rinetd'
> >   service stopped.
> >
> > On reboot the automatic startup fails, leaving the following two
> > entries in the Win2K System log.
>
>A timeout, sometimes this happens.
>I don't know if it is possible to increase the timeout, maybe
>in the registry there is a switch.
>Does it happen always or frequently?
>
> >   Event Type:	Error
> >   Event Source:	Service Control Manager
> >   Event Category:	None
> >   Event ID:	7009
> >   Date:		03/08/2001
> >   Time:		10:59:04 am
> >   User:		N/A
> >   Computer:	FREGE
> >   Description:
> >   Timeout (30000 milliseconds) waiting for the rinetd service to
> >   connect.
> >
> >   Event Type:	Error
> >   Event Source:	Service Control Manager
> >   Event Category:	None
> >   Event ID:	7000
> >   Date:		03/08/2001
> >   Time:		10:59:04 am
> >   User:		N/A
> >   Computer:	FREGE
> >   Description:
> >   The rinetd service failed to start due to the following error:
> >   The service did not respond to the start or control request in a
> >   timely fashion.
> >
> > I don't know enough about the obscurities of Windows services to
> > know where to start doing any further investigation, but if there's
> > any other information I could usefully provide, please let me know.
> >
> > Cheers,
> >
> >
> > Miles
>
>gph
>
>
>--
>[email-masked]
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/